//
//  RootViewController.m
//  MyJailbreak
//
//  Created by Kaikz on 22/02/11.
//  Copyright 2011 PwnCraft. All rights reserved.
//

#import "RootViewController.h"
#import "MJSettings.h"
#import "rootpassword.h"
#import "hidingsections.h"
#import "remoteservers.h"
#import "commoncommands.h"
#import "usingterminal.h"
#import "sshkeys.h"
#import "creatingrepo.h"
#import "cydiastore.h"
#import "settinggestures.h"
#import "customgestures.h"


@implementation RootViewController


#pragma mark -
#pragma mark View lifecycle

-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return YES;
}


- (void)viewDidLoad {
    [super viewDidLoad];
	self.title = @"MyJailbreak";
    
	UIButton *button = [UIButton buttonWithType:UIButtonTypeInfoLight];
	[button addTarget:self action:@selector(info) forControlEvents:UIControlEventTouchUpInside];
	UIBarButtonItem *about = [[UIBarButtonItem alloc] initWithCustomView:button];
	self.navigationItem.rightBarButtonItem = about;
    
    UIBarButtonItem *settingsButton = [[UIBarButtonItem alloc] initWithTitle:@"Settings" style:UIBarButtonItemStyleDone target:self action:@selector(openSettings)];
	self.navigationItem.leftBarButtonItem = settingsButton;
    
	[about release];
	[settingsButton release];
}

-(void) info {
	UIAlertView *info = [[UIAlertView alloc]
						 initWithTitle:@"MyJailbreak Alpha 1.0"
						 message:@"Kaikz/ttwj 2011\n\nhttp://pwncraft.net"
						 delegate:self
						 cancelButtonTitle:@"Dismiss"
						 otherButtonTitles:nil];
	[info show];
	[info release];
}

-(void) openSettings {
    MJSettings *Settings = [[MJSettings alloc] initWithNibName:@"MJSettings" bundle:nil];
    UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:Settings];
    [self presentModalViewController:navigationController animated:YES];
}


#pragma mark -
#pragma mark Table view data source

- (UITableViewCellAccessoryType)tableView:(UITableView *)tv accessoryTypeForRowWithIndexPath:(NSIndexPath *)indexPath
{
	return UITableViewCellAccessoryDisclosureIndicator;
}

// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 3;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	switch (section) {
		case 0:
			return 5;
			break;
		case 1:
			return 3;
			break;
		case 2:
			return 2;
			break;
		default:
			return 5;
			break;
	}
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section {
	switch (section) {
		case 0:
			return @"Terminal/SSH";
			break;
		case 1:
			return @"Cydia Usage";
			break;
		case 2:
			return @"Activator";
			break;
	}
    return 0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
    }
    
	
	// section 1
	if (indexPath.section == 0) {
		switch (indexPath.row) {
				
				// cell 1
			case 0:
				cell.textLabel.text = @"Changing SSH root Password";
				break;
				
				// cell 2
			case 1:
				cell.textLabel.text = @"Common Commands";
				break;
				
				// cell 3
			case 2:
				cell.textLabel.text = @"Using MobileTerminal";
				break;
				
				// cell 4
			case 3:
				cell.textLabel.text = @"Logging Into Remote Servers";
				break;
				
				// cell 5
			case 4:
				cell.textLabel.text = @"SSH Keys";
				break;
				
				// repeating cell 1 to finish off
			default:
				cell.textLabel.text = @"Changing SSH root Password";
				break;
		}
	}
	
	// section 2
	if (indexPath.section == 1) {
		switch (indexPath.row) {
				
				// cell 1
			case 0:
				cell.textLabel.text = @"Hiding Sections";
				break;
				
				// cell 2
			case 1:
				cell.textLabel.text = @"Creating a Repo";
				break;
				
				// cell 3
			case 2:
				cell.textLabel.text = @"Using Cydia Store";
				break;
				
				// repeating cell 1 to finish off
			default:
				cell.textLabel.text = @"Hiding Sections";
				break;
		}
	}
	
	// section 3
	if (indexPath.section == 2) {
		switch (indexPath.row) {
				
				// cell 1
			case 0:
				cell.textLabel.text = @"Setting Activation Gestures";
				break;
				
				// cell 2
			case 1:
				cell.textLabel.text = @"Using Custom Gestures";
				break;
				
				// repeating cell 1 to finish off
			default:
				cell.textLabel.text = @"Setting Activation Gestures";
				break;
		}
	}
    return cell;
}


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
	id newController;
	
	// Section 1
	if (indexPath.section == 0) {
		// Section 1's rows
		switch (indexPath.row) {
				
				// Row 1
			case 0:
				newController = [[rootpassword alloc] initWithNibName:@"rootpassword" bundle:nil];
				break;
				
				// Row 2
			case 1:
				newController = [[commoncommands alloc] initWithNibName:@"commoncommands" bundle:nil];
				break;
				
				// Row 3
			case 2:
				newController = [[usingterminal alloc] initWithNibName:@"usingterminal" bundle:nil];
				break;
				
				// Row 4
			case 3:
				newController = [[remoteservers alloc] initWithNibName:@"remoteservers" bundle:nil];
				break;
				
				// Row 5
			case 4:
				newController = [[sshkeys alloc] initWithNibName:@"sshkeys" bundle:nil];
				break;
				
				// Repeating row 1 to finish the section
			default:
				newController = [[rootpassword alloc] initWithNibName:@"rootpassword" bundle:nil];
				break;
		}
	}
	if (indexPath.section == 1) {
		switch (indexPath.row) {
			case 0:
				newController = [[hidingsections alloc] initWithNibName:@"hidingsections" bundle:nil];
				break;
			case 1:
				newController = [[creatingrepo alloc] initWithNibName:@"creatingrepo" bundle:nil];
				break;
			case 2:
				newController = [[cydiastore alloc] initWithNibName:@"cydiastore" bundle:nil];
				break;
			default:
				newController = [[hidingsections alloc] initWithNibName:@"hidingsections" bundle:nil];
				break;
		}
	}
	if (indexPath.section == 2) {
		switch (indexPath.row) {
			case 0:
				newController = [[settinggestures alloc] initWithNibName:@"settinggestures" bundle:nil];
				break;
			case 1:
				newController = [[customgestures alloc] initWithNibName:@"customgestures" bundle:nil];
				break;
			default:
				newController = [[settinggestures alloc] initWithNibName:@"settinggestures" bundle:nil];
				break;
		}
	}
	[self.navigationController pushViewController:newController animated:TRUE];
	[tableView deselectRowAtIndexPath:indexPath animated:TRUE];
}


#pragma mark -
#pragma mark Memory management


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end